Subject: Re: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Michael Albinus <[email-masked]>
Date: Sun, 15 Jan 2023 17:09:13 +0100

Stephen Berman <[email-masked]> writes:

Hi Stephen,

>> Note that there was a similar report, bug#30293, which was fixed in
>> Emacs 27. So in general the scenario shall work. If possible, I'd like
>> to see a backtrace for the Emacs 27 case.
>
> Do you mean from gdb?  If so, see below.
>
>> Note also, that there were autoload problems in the past for
>> tramp-archive.el (which should be fixed now). So would it work in your
>> case, if you call instead
>>
>> $ emacs -Q -l tramp-archive test.sh
>
> This doesn't prevent the freeze and 100% core usage for me.  I attached
> the emacs process to gdb and append the backtrace below.  If this is not
> what you want, or if you want me to execute specific gdb commands,
> please let me know what I should do.

Hmm, no, it doesn't tell me anything. Emacs is stuck somewhere in alloc.

What I've hoped is that you could stop Emacs by hitting C-g, and show a
Lisp backtrace.

> Steve Berman

Best regards, Michael.